/* ========================================================================== */
/*	  Xtest18_8.c : User-defined printf() Function for Graphic LCD	      */
/* ========================================================================== */
/*			  Designed and programmed by Duck-Yong Yoon in 2007.  */

#include <stdio.h>
#include "AT91SAM7S256.h"
#include "lib_AT91SAM7S256.h"
#include "OK7S256ads.h"
#include "OK7S256Korean.h"

int fputc(int ch, FILE *f)			// for the user-defined printf()
{
  if((ch >= 0x20) && (ch <= 0x7E))		// check from 0x20 to 0x7E
    GLCD_English(0,ch);

  return ch;
}

int main(void)
{ unsigned int i;
  double x;

  MCU_initialize();				// initialize AT91SAM7S256 & kit
  Delay_ms(50);					// wait for system stabilization
  LCD_initialize();				// initialize text LCD
  GLCD_clear();		               		// initialize GLCD screen
  Beep();

  LCD_string(0x80,"    printf()    ");		// display title on text LCD
  LCD_string(0xC0,"    for GLCD    ");

  GLCD_string(0,0,1," printf() q  ");	// display title on graphic LCD
  GLCD_string(1,0,0,"                ");
  GLCD_string(2,0,0,"   =   000  ");
  GLCD_string(3,0,0,"   = 0.000  ");

  while(1)
    { for(i=1, x=0.001; i <= 200; i++, x += 0.001) // loop by 200 times
        { GLCD_xy(2,11);
          printf("%3d\n", i);
          GLCD_xy(3,9);
          printf("%5.3f\n", x);
          Delay_ms(500);
        }
      Beep();
    }
}
